# checkerboard.cpp File Reference

Implementation of the "Checkerboard" layer. More...

`#include "checkerboard.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/segment.h>`

## Functions

| SYNFIG_LAYER_INIT (CheckerBoard)
| SYNFIG_LAYER_SET_NAME (CheckerBoard,"checker_board")
| SYNFIG_LAYER_SET_LOCAL_NAME (CheckerBoard, N_("Checkerboard"))
| SYNFIG_LAYER_SET_CATEGORY (CheckerBoard, N_("Geometry"))
| SYNFIG_LAYER_SET_VERSION (CheckerBoard,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (CheckerBoard,"$Id$")

## Detailed Description

Implementation of the "Checkerboard" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | CheckerBoard |  | ) |

SYNFIG_LAYER_SET_NAME | ( | CheckerBoard | ,
|  | "checker_board" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | CheckerBoard | ,
|  | N_("Checkerboard") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | CheckerBoard | ,
|  | N_("Geometry") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | CheckerBoard | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | CheckerBoard | ,
|  | "$Id$" |  |
| ) |  |  |